[arch-dev-public] util-linux, e2fsprogs: libuuid, libblkid. What is best to do?

Jan de Groot jan at jgc.homeip.net
Sat Aug 1 06:58:21 EDT 2009

On Sat, 2009-08-01 at 12:52 +0200, Jan de Groot wrote:
> I'm looking at updating hal, which needs the new libblkid that is
> included in util-linux. This library replaces the one inside e2fsprogs.
> Now we have some nice dependency loop:
> e2fsprogs contains libuuid
> e2fsprogs depends on libblkid
> libblkid depends on libuuid (optional, but default)

Yay for keeping up2date... two weeks ago, there was a new release of
util-linux-ng with this in the releasenotes:

libuuid, uuidgen(1) and uuidd(8):
  - the libuuid library has been moved from e2fsprogs to util-linux-ng

This solves all issues and makes it possible to update without
problems :)

More information about the arch-dev-public mailing list